// 根据手术状态输出文字
export const statusToTxt = type => {
  if (type == -10) {
    return '已取消';
  }
  if (type == -5) {
    return '已归档';
  }
  if (type == -1) {
    return '提交排程';
  }
  if (type == 0) {
    return '术前准备';
  }
  if (type == 5) {
    return '入手术室';
  }
  if (type == 10) {
    return '入手术间';
  }
  if (type == 15) {
    return '麻醉开始';
  }
  if (type == 20) {
    return '手术开始';
  }
  if (type == 25) {
    return '手术结束';
  }
  if (type == 30) {
    return '麻醉结束';
  }
  if (type == 35) {
    return '出手术间';
  }
  if (type == 40) {
    return '入复苏室';
  }
  if (type == 45) {
    return '出复苏室';
  }
  if (type == 50) {
    return '出手术室';
  }
  return '未知';
};

// 根据手术状态输出颜色
export const textToColor = text => {
  let color = '#87ceeb';
  switch (text) {
    case '提交排程':
      color = '#D17975';
      break;
    case '术前准备':
      color = '#497FEB';
      break;
    case '入手术间':
      color = '#6C64CD';
      break;
    case '麻醉开始':
      color = '#F09B55';
      break;
    case '手术开始':
      color = '#FF8514';
      break;
    case '手术结束':
      color = '#01D1C7';
      break;
    case '麻醉结束':
      color = '#67C23A';
      break;
    case '出手术间':
      color = '#56DE13';
      break;
    case '入复苏室':
      color = '#9460FA';
      break;
    case '出复苏室':
      color = '#559DF1';
      break;
  }
  return color;
};

// 根据手术状态输出颜色
export const textWaitToColor = text => {
  let color = '#87ceeb';
  switch (text) {
    case '手术前':
      color = '#87ceeb';
      break;
    case '入手术室':
      color = '#f00';
      break;
    case '手术中':
      color = '#f00';
      break;
    case '手术结束':
      color = '#67c23a';
      break;
    case '复苏中':
      color = '#f09b55';
      break;
    case '出手术室':
      color = '#67c23a';
      break;
  }
  return color;
};

// 手术状态清单
export const opStatusList = [
  {
    label: '已取消',
    value: -10,
  },
  {
    label: '已归档',
    value: -5,
  },
  {
    label: '提交排程',
    value: -1,
  },
  {
    label: '术前准备',
    value: 0,
  },
  {
    label: '入手术室',
    value: 5,
  },
  {
    label: '入手术间',
    value: 10,
  },
  {
    label: '麻醉开始',
    value: 15,
  },
  {
    label: '手术开始',
    value: 20,
  },
  {
    label: '手术结束',
    value: 25,
  },
  {
    label: '麻醉结束',
    value: 30,
  },
  {
    label: '出手术间',
    value: 35,
  },
  {
    label: '入复苏室',
    value: 40,
  },
  {
    label: '出复苏室',
    value: 45,
  },
  {
    label: '出手术室',
    value: 50,
  },
];

// 随机值
export const fnR = () => {
  return Math.floor(Math.random() * 51);
};
